abstract class ISocketIO {

  String getId();
  void connect();
  void sendMessage(String event, dynamic message, [Function callback]);

  void subscribe(String event, Function callback);
  void unSubscribe(String event, Function callback);
  void unSubscribesAll();

  void disconnect();
  void destroy();
}